package com.jxy.marketall.mapper;

import com.jxy.common.datasource.annotation.ETH4424V2DB;
import com.jxy.common.datasource.annotation.ETHV2DB;
import com.jxy.marketall.dto.*;
import com.jxy.marketall.vo.QueryVo;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

//@ETHV2DB 原来4422的ethdb  其中dailyindsv2 a表和b表以及ethindsv2表被移动到4424
@ETH4424V2DB
public interface ETHV2Mapper {

    public List<DateBigDecimalDto> getListByTableAndField(@Param("table") String table, @Param("field") String field);

    public List<ETHCoinDaysDescDto> getCDD();

    public List<PriceDataDto> getPriceList(@Param("vo") QueryVo vo);

    public List<ETHAddressBalanceDto> getAddressBalance();

    public List<ETHAddressBalanceDto> getAddressSupply();

    public List<DateBigDecimalDto> getCsupplyList(@Param("vo") QueryVo vo);

    @MapKey("year")
    public Map<Integer, YearMaDto> getYearIssuance();


}
